LINUX.ORG.RU

PostgreSQL


0

0

У меня Debian Squeeze amd64, стоит пакет postgresql-8.4 (8.4.1-1)
При установке различных пакетов через apt-get выходит сообщение:
*********************************************************************
Stopping PostgreSQL 8.4 database server: mainInsecure directory in $ENV{PATH} while running with -T switch at /usr/bin/pg_ctlcluster line 63. ... failed!
failed!
invoke-rc.d: initscript postgresql-8.4, action «stop» failed.
dpkg: предупреждение: старый сценарий pre-removal возвратил код ошибки 9
dpkg: попытка использовать сценарий из нового пакета ...
Stopping PostgreSQL 8.4 database server: mainInsecure directory in $ENV{PATH} while running with -T switch at /usr/bin/pg_ctlcluster line 63. ... failed!
failed!
invoke-rc.d: initscript postgresql-8.4, action «stop» failed.
dpkg: не удалось обработать параметр /var/cache/apt/archives/postgresql-8.4_8.4.2-2_amd64.deb (--unpack):
подпроцесс новый сценарий pre-removal возвратил код ошибки 9
Starting PostgreSQL 8.4 database server: mainInsecure directory in $ENV{PATH} while running with -T switch at /usr/bin/pg_ctlcluster line 63. ... failed!
failed!
invoke-rc.d: initscript postgresql-8.4, action «start» failed.
dpkg: ошибка при очистке -
подпроцесс установлен сценарий post-installation возвратил код ошибки 9
При обработке следующих пакетов произошли ошибки:
/var/cache/apt/archives/postgresql-8.4_8.4.2-2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
*********************************************************************
при попытке переустановить postgresql Synaptic заявлет, что он полностью неработоспособен и его нужно удалить. Но при этом удалить его не может(не могу удалить и при помощи apt-get remove/autoremove). Что делать?

★★

Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.